# -*- coding: utf-8 -*-
from django.utils.translation import gettext_lazy as _

children = []
models = [
    {'model_name': 'currency', 'model_label': _('currency'), 'model_label_plural': _('currencies')},
]

for model in models:
    add_entry = {
        "title": _("add {}").format(model['model_label']),
        "url_name": f"admin:currency_{model['model_name']}_add",
        "perms": [f"currency.add_{model['model_name']}"],
    }
    children.append(add_entry)
    list_entry = {
        "title": _("list {}").format(model['model_label_plural']),
        "url_name": f"admin:currency_{model['model_name']}_changelist",
        "perms": [
            f"currency.view_{model['model_name']}",
            f"currency.change_{model['model_name']}"
        ],
    }
    children.append(list_entry)

menu_items = [{
    'title': _('currency'),
    'url_name': {'viewname': 'admin:app_list', 'kwargs': {'app_label': 'currency'}},
    'perms': ['currency.*'],
    'children': children
}]
